org.eclipse.viatra.query.runtime.matchers.psystem.rewriters

## Class PDisjunctionRewriterCacher

- java.lang.Object
- - org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.AbstractRewriterTraceSource
  - - org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.PDisjunctionRewriter
    - - org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.PDisjunctionRewriterCacher

-     public class PDisjunctionRewriterCacher
      extends PDisjunctionRewriter

  A rewriter that stores the previously computed results of a rewriter or a rewriter chain.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDisjunctionRewriterCacher(java.util.List<PDisjunctionRewriter> rewriterChain)`
    `PDisjunctionRewriterCacher(PDisjunctionRewriter... rewriters)`
    `PDisjunctionRewriterCacher(PDisjunctionRewriter rewriter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDisjunction` | `rewrite(PDisjunction disjunction)`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.PDisjunctionRewriter

      `rewrite`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.matchers.psystem.rewriters.AbstractRewriterTraceSource

      `addTrace, derivativeRemoved, getTraceCollector, getTraces, setTraceCollector`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDisjunctionRewriterCacher

          public PDisjunctionRewriterCacher(PDisjunctionRewriter rewriter)

    - #### PDisjunctionRewriterCacher

          public PDisjunctionRewriterCacher(PDisjunctionRewriter... rewriters)

    - #### PDisjunctionRewriterCacher

          public PDisjunctionRewriterCacher(java.util.List<PDisjunctionRewriter> rewriterChain)

  - ### Method Detail

    - #### rewrite

          public PDisjunction rewrite(PDisjunction disjunction)

      Specified by:
        `rewrite` in class `PDisjunctionRewriter`